#include <conf_usart_example.h>
#include <asf.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#define F_CPU 32000000UL

#include <util/delay.h>


int main(void)
{
	uint8_t tx_buf4[] = "0123456789";
	uint8_t tx_buf3[]="/";
	uint8_t tx_buf5[]="SRU";
	
	int borne_maximale,borne_minimale;
	int temp;
	
	board_init();
	sysclk_init();

	static usart_rs232_options_t USART_SERIAL_OPTIONS_J1 = {
		.baudrate = USART_SERIAL_J1_BAUDRATE,
		.charlength = USART_SERIAL_CHAR_LENGTH,
		.paritytype = USART_SERIAL_PARITY,
		.stopbits = USART_SERIAL_STOP_BIT
	};
	static usart_rs232_options_t USART_SERIAL_OPTIONS_J4 = {
		.baudrate = USART_SERIAL_J4_BAUDRATE,
		.charlength = USART_SERIAL_CHAR_LENGTH,
		.paritytype = USART_SERIAL_PARITY,
		.stopbits = USART_SERIAL_STOP_BIT
	};

	usart_init_rs232(USART_SERIAL_J1, &USART_SERIAL_OPTIONS_J1);
	usart_init_rs232(USART_SERIAL_J4, &USART_SERIAL_OPTIONS_J4);
	while (1)
	{
		_delay_ms(500);
		
		usart_putchar(USART_SERIAL_J4,tx_buf3[0]);
		usart_putchar(USART_SERIAL_J1,tx_buf3[0]);
		
		/*Mode U: USB ; R:Radio ; S: Serial*/
		
		usart_putchar(USART_SERIAL_J4,tx_buf5[2]);
		usart_putchar(USART_SERIAL_J1,tx_buf5[0]);
		
		/*ID*/
		
		borne_maximale=3;
		borne_minimale=0;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4,tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
		
		borne_maximale=10;
		borne_minimale=0;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4,tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
		
		borne_maximale=10;
		borne_minimale=0;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4, tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
		
		/*carte fille*/
		
		borne_maximale=9;
		borne_minimale=0;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4,tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
		
		/*Carte petite fille*/
		
		borne_maximale=3;
		borne_minimale=1;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4,tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
		
		/*Data*/
		
		borne_maximale=10;
		borne_minimale=0;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4,tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
		
		borne_maximale=3;
		borne_minimale=1;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4,tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
		
		borne_maximale=10;
		borne_minimale=0;
		temp=rand()%(borne_maximale - borne_minimale) + borne_minimale;
		
		usart_putchar(USART_SERIAL_J4,tx_buf4[temp]);
		usart_putchar(USART_SERIAL_J1,tx_buf4[temp]);
	}
}